--- gnus-agent.el.orig	Sat Feb 14 14:09:53 1998
+++ gnus-agent.el	Sat Feb 14 14:45:55 1998
@@ -693,6 +693,18 @@
 	(unless (eq 'nov (gnus-retrieve-headers articles group))
 	  (nnvirtual-convert-headers))
 	;; Save these headers for later processing.
+	;;
+	;; To gnus-agent-expire work fine with no Xref field in .overview 
+	;; Tatsuya Ichikawa <ichikawa@hv.epson.co.jp>
+	(goto-char (point-min))
+	(while (not (eobp))
+	  (and (not (nnheader-parse-nov))
+	       (goto-char (point-at-eol))
+	       (insert "\t"))
+	  (forward-line 1))
+	;; Tatsuya Ichikawa <ichikawa@hv.epson.co.jp>
+	;; To gnus-agent-expire work fine with no Xref field in .overview 
+	;;
 	(copy-to-buffer gnus-agent-overview-buffer (point-min) (point-max))
 	(let (file)
 	  (when (file-exists-p
